# Class BaseTool.ToolConfig

java.lang.Object
com.google.adk.JsonBaseModel
com.google.adk.tools.BaseTool.ToolConfig

Enclosing class:
  `BaseTool`

public static class BaseTool.ToolConfig extends JsonBaseModel
Configuration class for a tool definition in YAML/JSON.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToolConfig()`
  `ToolConfig(String name, BaseTool.ToolArgsConfig args)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BaseTool.ToolArgsConfig`
  `args()`
  `String`
  `name()`
  `void`
  `setArgs(BaseTool.ToolArgsConfig args)`
  `void`
  `setName(String name)`

  ### Methods inherited from class JsonBaseModel

  `fromJsonNode, fromJsonString, getMapper, toJson, toJsonNode, toJsonString`
  Modifier and Type
  Method
  Description
  `static <T extends JsonBaseModel>
  T`
  `fromJsonNode(com.fasterxml.jackson.databind.JsonNode jsonNode, Class<T> clazz)`
  Deserializes a JsonNode to an object of the given type.
  `static <T extends JsonBaseModel>
  T`
  `fromJsonString(String jsonString, Class<T> clazz)`
  Deserializes a Json string to an object of the given type.
  `static com.fasterxml.jackson.databind.ObjectMapper`
  `getMapper()`
  Returns the mutable ObjectMapper instance used by ADK.
  `String`
  `toJson()`
  Serializes this object (i.e., the ObjectMappper instance used by ADK) to a Json string.
  `protected static com.fasterxml.jackson.databind.JsonNode`
  `toJsonNode(Object object)`
  Serializes an object to a JsonNode.
  `static String`
  `toJsonString(Object object)`
  Serializes an object to a Json string.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ToolConfig

    public ToolConfig()

  - ### ToolConfig

    public ToolConfig(String name, BaseTool.ToolArgsConfig args)

- ## Method Details

  - ### name

    public String name()

  - ### setName

    public void setName(String name)

  - ### args

    public BaseTool.ToolArgsConfig args()

  - ### setArgs

    public void setArgs(BaseTool.ToolArgsConfig args)